Package org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ParameterBuilder<T extends ResourceBuilder.ParameterBuilder<T>>

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ParameterBuilder<T>

- Direct Known Subclasses:
    `ResourceBuilder.ConstructorParameterBuilder`, `ResourceBuilder.FieldParameterBuilder`, `ResourceBuilder.LocatorMethodParameterBuilder`, `ResourceBuilder.SetterParameterBuilder`
  Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ParameterBuilder<T extends ResourceBuilder.ParameterBuilder<T>>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterBuilder​(Parameter parameter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `beanParam()` |
    `T` | `context()` |
    `T` | `cookieParam​(String name)` |
    `T` | `defaultValue​(String defaultValue)` |
    `T` | `encoded()` |
    `T` | `form()` | Resteasy @Form specific injection parameter.
    `T` | `form​(String prefix)` | Resteasy @Form specific injection parameter.
    `T` | `formParam​(String name)` |
    `T` | `fromAnnotations()` |
    `T` | `genericType​(Type type)` |
    `Parameter` | `getParameter()` |
    `T` | `headerParam​(String name)` |
    `T` | `matrixParam​(String name)` |
    `T` | `messageBody()` |
    `T` | `pathParam​(String name)` |
    `T` | `queryParam​(String name)` |
    `T` | `type​(Class<?> type)` |
    `T` | `type​(javax.ws.rs.core.GenericType type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterBuilder

          public ParameterBuilder​(Parameter parameter)

  - ### Method Detail

    - #### getParameter

          public Parameter getParameter()

    - #### type

          public T type​(Class<?> type)

    - #### genericType

          public T genericType​(Type type)

    - #### type

          public T type​(javax.ws.rs.core.GenericType type)

    - #### beanParam

          public T beanParam()

    - #### context

          public T context()

    - #### messageBody

          public T messageBody()

    - #### encoded

          public T encoded()

    - #### defaultValue

          public T defaultValue​(String defaultValue)

    - #### cookieParam

          public T cookieParam​(String name)

    - #### formParam

          public T formParam​(String name)

    - #### form

          public T form​(String prefix)

      Resteasy @Form specific injection parameter.
      Parameters:
        `prefix` - prefix
      Returns:
        parameter builder

    - #### form

          public T form()

      Resteasy @Form specific injection parameter.
      Returns:
        parameter builder

    - #### headerParam

          public T headerParam​(String name)

    - #### matrixParam

          public T matrixParam​(String name)

    - #### pathParam

          public T pathParam​(String name)

    - #### queryParam

          public T queryParam​(String name)

    - #### fromAnnotations

          public T fromAnnotations()